Subject: Re: [PATCH] [GSOC] ref-filter: solve bugs caused by enumeration

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 May 2021 20:20:45 +0900

ZheNing Hu <[email-masked]> writes:

>> So the fix was to see what atom it is by checking its name member?
>> Is starts_with() a reliable test?  A fictitious atom "pushe" will be
>> different from "push" or "push:<something>", but will still pass
>> that test, so from the point of view of future-proofing the tests,
>> shouldn't it do the same check as the one at the beginning of
>> remote_ref_atom_parser()?
>>
>
> I think it's not necesssary. Before we call `populate_value()`, ...

I do not care if it is not needed with the "current" set of atoms we
accept.  The example "pushe", which obviously will not be accepted
by today's code, was all about future-proofing.